#ifdef WIN32
#include <windows.h>
#include <winsock.h>
#else
#define closesocket close
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>			/* write, read, close */
#endif /* WIN32 */

#include <string.h>
#include <stdlib.h>
#include "define.h"

int update_buffers(struct mother_hold *mother) {
	struct timeval tv;
	fd_set readfs;
	int value = 0;
	int max_desc;

	tv.tv_sec = 60;
	tv.tv_usec = 0;

	max_desc = mother->socket;
 
	FD_ZERO(&readfs);
	FD_SET(0, &readfs);		/* Add stdin to watch for */
	FD_SET(mother->socket, &readfs);

	select(max_desc+1, &readfs, NULL, NULL, &tv);

	if(FD_ISSET(0, &readfs)) {
		/* Std-In */
		value = 1;
	} else if(FD_ISSET(mother->socket, &readfs)) {
		/* Socket */
		value = 2;
	}

	return value;
}
