#ifndef CLIENT_MODULES
#define CLIENT_MODULES

#include <gtk/gtk.h>

struct initial_info_hold {
	char *author;
	char *version;
	char **list_of_styles;
	int number_of_styles;
	GdkPixmap **list_of_small_images;
	GdkBitmap **list_of_small_masks;
	int number_of_small_images;
	GdkPixmap **list_of_large_images;
	GdkBitmap **list_of_large_masks;
	int number_of_large_images;
	int display_depth;
};

typedef struct node_module_type {
	char *name;
	void *handle;
	struct initial_info_hold *info;
	struct node_module_type *next_module;
}	node_module_type, *node_module_ptr;

#endif /* CLIENT_MODULES */
