#ifndef MODULES
#define MODULES

struct timing_hold {
	unsigned int timing_session;
	unsigned int num_of_priorities;
	unsigned int *list_of_priorities;
};

struct initial_info_hold {
	char *author;
	char *version;
	unsigned int num_of_timing_sessions;
	struct timing_hold *list_timing_sessions;
	char *one_line_description;
	unsigned int num_of_lines_in_multi_description;
	char **multi_description;
	unsigned int num_of_network_commands;
	unsigned int *list_of_network_commands;
	unsigned int num_of_styles;
	char **list_of_styles;
};

typedef struct node_module_type {
	char *name;
	void *handle;
	int id;
	struct initial_info_hold *info;
	struct node_module_type *next_module;
}	node_module_type, *node_module_ptr;

#endif /* MODULES */
