#ifndef SERVER_HOLDINGS
#define SERVER_HOLDINGS

#include "define.h"
#include "user.h"
#include "../common/module.h"

/* Information which the server keeps track of and frequently passes around */
struct server_info_hold {
	int number_of_users_connected;
	int number_of_modules_loaded;
	int number_of_timing_sessions;
	int periodic_time_seconds;
	int periodic_time_useconds;
	int current_timing_session;
	int set_game_in_progress;
	int user_id_toggles[MAX_USER_TOGGLES];
	int	answer_socket;	/* The socket which accepts connections */
									/* to server */
	node_user_ptr	user_head;
	node_module_ptr	module_head;

	int	set_max_users;	/* Maximum number of people able to access server */
};

#endif /* SERVER_HOLDINGS */
