#include <stdio.h>
#include <string.h>
#include <dlfcn.h>
#include "../common/server.h"

int periodic_server_call(server_info)
struct server_info_hold *server_info;
{
	int (*periodic_call)(struct server_info_hold*);
	node_module_ptr module_slider;
	int ctr;
	char buff[512];

	printf("@> Calling periodic functions in modules who asked.\n");

	module_slider = server_info->module_head;
	while(module_slider) {
		/* If this user has the special style for that they want to have */
		/* this function called then we will do so */
		for(ctr = 0; ctr < module_slider->info->num_of_styles; ctr ++) {
			if(!strcmp(module_slider->info->list_of_styles[ctr],
				"periodic_server_call")) {

				/* Create string of the function to call */
				strcpy(buff, "periodic_server_call_");
				strcat(buff, module_slider->name);

				printf("%% calling function '%s' in module '%s'\n", buff,
						module_slider->name);

				/* Call the module's function */
				periodic_call = dlsym(module_slider->handle, buff);
				periodic_call(server_info);

				/* We'd break here, but it is allowed for more than one */
				/* module to react to this event */

				/* break; */
			}
		}

		module_slider = module_slider->next_module;
	}

	return 0;
}
