#include <stdio.h>
#include <string.h>
#include <dlfcn.h>
#include "../common/server.h"

int network_user_dropped_connection(server_info, id_number)
struct server_info_hold *server_info;
int id_number;
{
	int (*network_user_dropped)(struct server_info_hold*, int);
	node_module_ptr module_slider;
	int ctr;
	char buff[512];

	module_slider = server_info->module_head;
	while(module_slider) {
		/* If this user has the special style for that they want to have */
		/* this function called then we will do so */
		for(ctr = 0; ctr < module_slider->info->num_of_styles; ctr ++) {
			if(!strcmp(module_slider->info->list_of_styles[ctr],
				"user_dropped_their_connection")) {

				/* Create string of the function to call */
				strcpy(buff, "network_user_dropped_connection");

				printf("%% calling function '%s' in module '%s'\n", buff,
						module_slider->name);

				/* Call the module's function */
				network_user_dropped = dlsym(module_slider->handle, buff);
				network_user_dropped(server_info, id_number);

				/* We'd break here, but it is allowed for more than one */
				/* module to react to this event */

				/* break; */
			}
		}

		module_slider = module_slider->next_module;
	}

	return 0;
}
