/**
 * These are the messages a client may send to the server
 */

#ifndef RECVENUM
#define RECVENUM

enum recvenum {
	/* Chat */
	C_QUIT,			/* user wishes to be disconnected */
	C_TALK,			/* trying to say a message to main channel */
	C_WHISPER,		/* trying to whisper to another user */
	C_EMOTE,		/* trying to do an action emote to the channel */
	C_CHANGE_NICK,	/* trying to change nick name to another */
	C_JOIN,			/* a new user has joined, here is there info */
	C_NOT_A_PLAYER,			/* when game starts will not be a player */
	C_IS_A_PLAYER,			/* when game starts will be a player */
//	C_ADMIN_REQUEST_ELEMENT_LIST,	/* wants listing of loaded elements */

	/* Here are the new commands */
	C_ADMIN_GAIN_ACCESS,		/* admin */

	C_ADMIN_SET_ARCHIVE_LOCATION,	/* robot */
	C_SPAWNING_DIRECTION,		/* robot */
	C_ADMIN_SET_WORLD_WIDTH,	/* world */
	C_ADMIN_SET_WORLD_HEIGHT,	/* world */
	C_ADMIN_SET_NUMBER_OF_ELEMENTS,	/* world */
	C_ADMIN_ADD_ELEMENT,		/* world */
	C_ADMIN_DEL_ELEMENT,		/* world */
	C_ADMIN_START_GAME,			/* admin */
	C_ADMIN_STOP_GAME,			/* admin */

	C_P_CARD_SELECTION,	/* send program cards selection */
	C_I_WANT_TO_SHUTDOWN,	/* */
	C_HEAL_ONE,
	C_HEAL_TWO,
	C_REQUEST_OPTIONCARD,
};

#endif /* RECVENUM */
