/**
 * These are send from the server to the client
 */

#ifndef SENDENUM
#define SENDENUM

enum sendenum {
	/* Chat */
	S_RECIEVED_NEXT_PCARD_PLAY,
	S_ELEMENT_LIST,
//	S_SPAWNING_ROBOT,
	S_REVEAL_PROGRAM_CARD,
	S_REQUEST_SPAWNING_DIRECTION,
	S_REPLY_PROGRAM_CARD,
	S_REPLY_SPAWNING_DIRECTION,
	S_MOVEMENT,

	/* New network commands */
	S_QUIT,
	S_JOIN,
	S_TALK,
	S_WHISPER,
	S_EMOTE,
	S_CHANGE_NICK,
	S_USER_LIST,
	S_GAME_IS_NOW_STARTING,  /* all modules have been initialized game is now functioning */
	S_GAME_IS_NOW_STOPPED,
	S_ADMIN_ACCESS,	/* if a user requests admin access this is there answer */

	/**
	 * commands sent when a game is starting
	 */

	/* elements describe their placement at the begining of the game. */
	S_ELEMENT_PLACEMENT,
	S_WORLD_SIZE_IS,
	S_NUMBER_OF_ELEMENTS,
	S_STARTING_LAYOUT_DESCRIPTION,
	S_ENDING_LAYOUT_DESCRIPTION,
	S_INITIAL_ARCHIVE_LOCATION,
	S_SPAWN_ALL_PLAYERS,

	S_PROGRAM_CARD_LIST,

	/* the all powerful s_action command */
	S_ACTION,
};

#endif /* SENDENUM */
