#include <stdio.h>
#include "../common/loadall.h"
#include "quit_functions.h"
#include "getmodid.h"

void case_admin_stop_game(server_info)
struct server_info_hold *server_info;
{
	char tosend[6];


	printf("[ADMIN] Shutting down game.\n");

	/* Call the start function in each module which is an element */
	call_quit_functions(server_info);

	tosend[0] = S_GAME_IS_NOW_STOPPED;
	network_say_to_all(server_info, tosend, 1);

	/**
	 * Tell robot client node to display the initial archive location.
	 */
/*	tosend[0] = S_ACTION;
	tosend[1] = get_module_id_from_name(server_info, "s_admin");
	tosend[2] = 0;
	tosend[3] = tosend[1];
	tosend[4] = 0;
	tosend[5] = 0;
	network_say_to_all(server_info, tosend, 6);
*/
	server_info->set_game_in_progress = FALSE;
	server_info->current_timing_session = 0;
	server_info->number_of_timing_sessions = 0;
}
