/**
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include <dlfcn.h>
#include <string.h>
#include "../common/loadall.h"

int call_quit_functions(server_info)
struct server_info_hold *server_info;
{
	void (*init_element)(struct server_info_hold*);
	struct node_module_type *module_slider;
	char buff[512];

	/* Add each module one by one */
	module_slider = server_info->module_head;
	while(module_slider) {
		/* Call the init_start_game function in this module */
		strcpy(buff, "init_quit_game");
		init_element = dlsym(module_slider->handle, buff);
		init_element(server_info);

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	return 1;
}
