/**
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include <dlfcn.h>
#include <string.h>
#include "../common/loadall.h"

int call_start_functions(server_info)
struct server_info_hold *server_info;
{
	void (*init_element)(struct server_info_hold*);
	struct node_module_type *module_slider;
	char buff[512];

	/* Ok, we kind of lied. We are going to cheat and call the */
	/* init_start_game function in the 'world' module first. */

	/* Add each module one by one */
	module_slider = server_info->module_head;
	while(module_slider) {
		if(!strcmp(module_slider->name, "s_world")) {
			/* Call the init_start_game function in this module */
			strcpy(buff, "init_start_game");
			init_element = dlsym(module_slider->handle, buff);
			init_element(server_info);
			break;
		}

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	/* Ok, now we will do everything else, avoiding calling */
	/* the 'world' module again. */

	/* Add each module one by one */
	module_slider = server_info->module_head;
	while(module_slider) {
		if(strcmp(module_slider->name, "s_world")) {
			/* Call the init_start_game function in this module */
			strcpy(buff, "init_start_game");
			init_element = dlsym(module_slider->handle, buff);
			init_element(server_info);
		}

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	return 1;
}
