/**
 * Removes all checkpoint nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_checkpoint.h"

/**
 */
int del_all_checkpoint_nodes(server_info, checkpoint_head)
struct server_info_hold *server_info;
struct node_checkpoint_type **checkpoint_head;
{
	struct node_checkpoint_type *checkpoint_slider;
	struct node_checkpoint_type *kill_me;

	checkpoint_slider = (*checkpoint_head);
	while(checkpoint_slider) {
		kill_me = checkpoint_slider;
		checkpoint_slider = checkpoint_slider->next_checkpoint;
		free(kill_me);
	}
	(*checkpoint_head) = NULL;

	return FALSE;
}
