/**
 * Removes all crusher nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_crusher.h"

/**
 */
int del_all_crusher_nodes(server_info, crusher_head)
struct server_info_hold *server_info;
struct node_crusher_type **crusher_head;
{
	struct node_crusher_type *crusher_slider;
	struct node_crusher_type *kill_me;

	crusher_slider = (*crusher_head);
	while(crusher_slider) {
		kill_me = crusher_slider;
		crusher_slider = crusher_slider->next_crusher;
		free(kill_me);
	}
	(*crusher_head) = NULL;

	return FALSE;
}
