/**
 * Removes all pit nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_pit.h"

/**
 */
int del_all_pit_nodes(server_info, pit_head)
struct server_info_hold *server_info;
struct node_pit_type **pit_head;
{
	struct node_pit_type *pit_slider;
	struct node_pit_type *kill_me;

	pit_slider = (*pit_head);
	while(pit_slider) {
		kill_me = pit_slider;
		pit_slider = pit_slider->next_pit;
		free(kill_me);
	}
	(*pit_head) = NULL;

	return FALSE;
}
