/**
 * Removes all repair nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_repair.h"

/**
 */
int del_all_repair_nodes(server_info, repair_head)
struct server_info_hold *server_info;
struct node_repair_type **repair_head;
{
	struct node_repair_type *repair_slider;
	struct node_repair_type *kill_me;

	repair_slider = (*repair_head);
	while(repair_slider) {
		kill_me = repair_slider;
		repair_slider = repair_slider->next_repair;
		free(kill_me);
	}
	(*repair_head) = NULL;

	return FALSE;
}
