/**
 *
 * Dependencies: `game-admin'
 * Author: Travis W. Loyd
 */

#include <dlfcn.h>
#include <string.h>
#include "../common/loadall.h"

int check4stop(server_info, from_x, from_y, to_x, to_y)
struct server_info_hold *server_info;
long from_x;
long from_y;
long to_x;
long to_y;
{
	int (*_check4stop)(struct server_info_hold*,
		long, long, long, long);
	struct node_module_type* module_slider;
	int module_id;
	int is_blocked;
	int ctr;

	/* by default all movement checks will not block */
	is_blocked = -1;

	/* Find the movement module */
	module_id = 0;
	module_slider = server_info->module_head;
	while(module_slider) {
		for(ctr = 0; ctr < module_slider->info->num_of_styles; ctr ++) {
			if(!strcmp(module_slider->info->list_of_styles[ctr], "stop")) {
				/* Create the test_movement function call */
				_check4stop = dlsym(module_slider->handle, "check4stop");

				if(_check4stop(server_info, from_x, from_y, to_x, to_y)) {
					/* is_blocked = TRUE; */
					is_blocked = module_id;
					break;
				}
			}
		}

		module_id++;
		module_slider = module_slider->next_module;
	}

	/* return if the object was blocked or not */
	return is_blocked;
}
