/**
 * Removes all tred nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_tred.h"

/**
 */
int del_all_tred_nodes(server_info, tred_head)
struct server_info_hold *server_info;
struct node_tred_type **tred_head;
{
	struct node_tred_type *tred_slider;
	struct node_tred_type *kill_me;

	tred_slider = (*tred_head);
	while(tred_slider) {
		kill_me = tred_slider;
		tred_slider = tred_slider->next_tred;
		free(kill_me);
	}
	(*tred_head) = NULL;

	return FALSE;
}
