/**
 * Removes all wall nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_wall.h"

/**
 */
int del_all_wall_nodes(server_info, wall_head)
struct server_info_hold *server_info;
struct node_wall_type **wall_head;
{
	struct node_wall_type *wall_slider;
	struct node_wall_type *kill_me;

	wall_slider = (*wall_head);
	while(wall_slider) {
		kill_me = wall_slider;
		wall_slider = wall_slider->next_wall;
		free(kill_me);
	}
	(*wall_head) = NULL;

	return FALSE;
}
