/**
 * Randomizes an array of unsigned int's representing the program cards.
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s_p_card.h"

int shuffle_deck(unsigned int *the_deck) {
	unsigned int first_card;
	unsigned int second_card;
	unsigned int hold;

	/* Seed the random number generator */
	srandom(time(NULL));

	for(first_card = 0; first_card < NUM_PCARDS; first_card ++) {
		second_card = random() % NUM_PCARDS;
		hold = the_deck[first_card];
		the_deck[first_card] = the_deck[second_card];
		the_deck[second_card] = hold;
	}

	return 1;
}
