/**
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include "../common/loadall.h"

void set_robots_initial_spawn_location(server_info, robot_head, init_x, init_y)
struct server_info_hold *server_info;
struct node_robot_type *robot_head;
long init_x;
long init_y;
{
	struct node_robot_type* robot_slider;

	printf("[ROBOT] Setting robots location to their archive location\n");

	robot_slider = robot_head;
	while(robot_slider) {
		robot_slider->archive_location_xy.x = init_x;
		robot_slider->archive_location_xy.y = init_y;
		robot_slider->current_location_xy.x = init_x;
		robot_slider->current_location_xy.y = init_y;

		robot_slider = robot_slider->next_robot;
	}
}
