#include <stdio.h>
#include <dlfcn.h>
#include "../common/loadall.h"

int case_add_element(server_info, user_node)
struct server_info_hold *server_info;
struct node_user_type *user_node;
{
	int (*add_to_world)(
			struct server_info_hold*, struct node_user_type*);
	struct node_module_type* module_slider;
	int module_count;
	int needle; /* in the haystack */

	/* Remove the protocol character from the user's buffer */
	remove_chars_from_user_buffer(user_node, 1);

	/* Loop through the modules counting up till the module */
	/* number specified in the network stream is found. */

	/* This is the module to look for */
	needle = user_node->buffer[0];

	/* Remove this character from the user's buffer */
	remove_chars_from_user_buffer(user_node, 1);

	/* Find the module we need */
	module_count = 0;
	module_slider = server_info->module_head;
	while(module_slider) {
		if(needle == module_count) {
			/* We found the module, which is assumed to be an element */
			/* Now call the add function in the specific element. */

			/* Call the function to add the new robot node */
			add_to_world = dlsym(module_slider->handle,
					"add");

			/* Now call the function to do the adding */
			return add_to_world(server_info, user_node);
		}

		module_count++;
		module_slider = module_slider->next_module;
	}

	return FALSE;
}
