#include <dlfcn.h>
#include "../common/loadall.h"

int case_del_element(server_info, user_node)
struct server_info_hold *server_info;
struct node_user_type *user_node;
{
	int (*del_from_world)(
			struct server_info_hold*, struct node_user_type*);
	struct node_module_type* module_slider;
	int module_count;
	int needle;

	/* Loop through the modules counting up till the module */
	/* number specified in the network stream is found. */

	/* This is the module to look for */
	needle = user_node->buffer[0];

	/* Remove this character from the user's buffer */
	remove_chars_from_user_buffer(user_node, 1);

	/* Find the module we need */
	module_slider = server_info->module_head;
	module_count = 0;
	while(module_slider) {
		if(needle == module_count) {
			/* We found the module, which is assumed from be an element */
			/* Now call the del function in the specific element. */

			/* Call the function from del the new robot node */
			del_from_world = dlsym(module_slider->handle,
					"del");

			/* Now call the function from do the deling */
			return del_from_world(server_info, user_node);
		}
		else {
			++module_count;
		}

		module_slider = module_slider->next_module;
	}

	return FALSE;
}
