#include <stdio.h>
#include <string.h>
#include <dlfcn.h>
#include "../common/server.h"

/**
 * Finds modules who want to be notified when any module is loaded or unloaded.
 * and calls a function in them.
 */
int module_load_or_unload(server_info)
struct server_info_hold *server_info;
{
	int (*call_module_load_or_unload)(struct server_info_hold*);
	node_module_ptr module_slider;
	int ctr;
	char buff[512];

	module_slider = server_info->module_head;
	while(module_slider) {
		/* If this user has the special style for that they want to have */
		/* this function called then we will do so */
		for(ctr = 0; ctr < module_slider->info->num_of_styles; ctr ++) {
			if(!strcmp(module_slider->info->list_of_styles[ctr],
				"module_load_or_unload")) {

				/* Create string of the function to call */
				strcpy(buff, "module_load_or_unload");

//				printf("%% calling function '%s' in module '%s'\n", buff,
//						module_slider->name);

				/* Call the module's function */
				call_module_load_or_unload = dlsym(module_slider->handle, buff);
				call_module_load_or_unload(server_info);

				/* We'd break here, but it is allowed for more than one */
				/* module to react to this event */

				/* break; */
			}
		}

		module_slider = module_slider->next_module;
	}

	return 0;
}
