/**
 * Removes all gear nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_gear.h"

/**
 */
int del_all_gear_nodes(server_info, gear_head)
struct server_info_hold *server_info;
struct node_gear_type **gear_head;
{
	struct node_gear_type *gear_slider;
	struct node_gear_type *kill_me;

	gear_slider = (*gear_head);
	while(gear_slider) {
		kill_me = gear_slider;
		gear_slider = gear_slider->next_gear;
		free(kill_me);
	}
	(*gear_head) = NULL;

	return FALSE;
}
