/**
 * Removes all laser nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_laser.h"

/**
 */
int del_all_laser_nodes(server_info, laser_head)
struct server_info_hold *server_info;
struct node_laser_type **laser_head;
{
	struct node_laser_type *laser_slider;
	struct node_laser_type *kill_me;

	laser_slider = (*laser_head);
	while(laser_slider) {
		kill_me = laser_slider;
		laser_slider = laser_slider->next_laser;
		free(kill_me);
	}
	(*laser_head) = NULL;

	return FALSE;
}
