/**
 * Removes all pusher nodes from the storage link list.
 *
 * Author: Travis W. Loyd
 */

#include <stdlib.h>
#include "../common/loadall.h"
#include "s_basic_pusher.h"

/**
 */
int del_all_pusher_nodes(server_info, pusher_head)
struct server_info_hold *server_info;
struct node_pusher_type **pusher_head;
{
	struct node_pusher_type *pusher_slider;
	struct node_pusher_type *kill_me;

	pusher_slider = (*pusher_head);
	while(pusher_slider) {
		kill_me = pusher_slider;
		pusher_slider = pusher_slider->next_pusher;
		free(kill_me);
	}
	(*pusher_head) = NULL;

	return FALSE;
}
