/**
 * Creates and adds new p_card node to the link list of p_cards used during game
 * play.
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include <stdlib.h>
#include "../common/loadall.h"
#include "s_p_card.h"

/**
 */
int del_p_card_node(server_info, p_card_head, user_id)
struct server_info_hold *server_info;
struct node_p_card_type **p_card_head;
int user_id;
{
	node_p_card_ptr p_card_slider;
	node_p_card_ptr new_p_card_ptr;
	node_p_card_ptr killme;

//	printf("// Removing specific p_card node if it exists.\n");

	p_card_slider = (*p_card_head);
	if(!p_card_slider) {
		return FALSE;
	}

	if(p_card_slider->roboNum == user_id) {
		(*p_card_head) = p_card_slider->next_p_card;
		free(p_card_slider);
		return TRUE;
	}
	else {
		while(p_card_slider->next_p_card) {
			if(p_card_slider->next_p_card->roboNum == user_id) {
				killme = p_card_slider->next_p_card;
				p_card_slider->next_p_card = killme->next_p_card;
				free(killme);
				return TRUE;
			}
			p_card_slider = p_card_slider->next_p_card;
		}
	}

	printf("Listing the p_card link-list in p_card->del_node\n");
	p_card_slider = (*p_card_head);
	while(p_card_slider) {
		printf("%ld, %d\n",
			new_p_card_ptr->roboNum,
			new_p_card_ptr->is_ready);
		p_card_slider = p_card_slider->next_p_card;
	}
//	printf("done.\n");

	return FALSE;
}
