/**
 *
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include <dlfcn.h>
#include "../common/loadall.h"

void activate_all_instant(server_info)
struct server_info_hold *server_info;
{
	int (*_activate_instant)(struct server_info_hold*);
	struct node_module_type *module_slider;
	int ctr;

	module_slider = server_info->module_head;
	while(module_slider) {
		for(ctr = 0; ctr < module_slider->info->num_of_styles; ctr ++) {
			if(!strcmp(module_slider->info->list_of_styles[ctr], "instant")) {
				_activate_instant = dlsym(
						module_slider->handle, "activate_instant");
				_activate_instant(server_info);
			}
		}

		module_slider = module_slider->next_module;
	}
}
