/**
 * Creates and adds new robot node to the link list of robots used during game
 * play.
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include <stdlib.h>
#include "../common/loadall.h"

/**
 */
int del_robot_node(server_info, robot_head, user_id)
struct server_info_hold *server_info;
struct node_robot_type **robot_head;
int user_id;
{
	node_robot_ptr robot_slider;
	node_robot_ptr new_robot_ptr;
	node_robot_ptr killme;

//	printf("// Removing specific robot node if it exists.\n");

	robot_slider = (*robot_head);
	if(robot_slider->id_number == user_id) {
		(*robot_head) = robot_slider->next_robot;
		free(robot_slider);
		return TRUE;
	}
	else {
		while(robot_slider->next_robot) {
			if(robot_slider->next_robot->id_number == user_id) {
				killme = robot_slider->next_robot;
				robot_slider->next_robot = killme->next_robot;
				free(killme);
				return TRUE;
			}
			robot_slider = robot_slider->next_robot;
		}
	}

	printf("Listing the robot link-list in robot->del_node\n");
	robot_slider = (*robot_head);
	while(robot_slider) {
		printf("%ld\n", new_robot_ptr->id_number);

		robot_slider = robot_slider->next_robot;
	}
//	printf("done.\n");

	return FALSE;
}
