/**
 * Find robot node from id number
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include "../common/loadall.h"

struct node_robot_type* find_robot_node_from_id_number(
		server_info, robot_head, id_number)
struct server_info_hold *server_info;
struct node_robot_type *robot_head;
unsigned int id_number;
{
	node_robot_ptr robot_slider;

	/* Find robot node which relates to the user */
	robot_slider = robot_head;
	while(robot_slider) {
		if(robot_slider->id_number == id_number) {
			break;
		}
		robot_slider = robot_slider->next_robot;
	}

	return robot_slider;
}
