/**
 *
 * Author: Travis W. Loyd
 */

#include <string.h>
#include "../common/loadall.h"

int get_module_id_from_name(server_info, name)
struct server_info_hold *server_info;
char *name;
{
	struct node_module_type *module_slider;

	module_slider = server_info->module_head;
	while(module_slider) {
		if(!strcmp(module_slider->name, name)) {
			break;
		}

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	return module_slider->id;
}
