/**
 *
 * Author: Travis W. Loyd
 */

#include <stdio.h>
#include "../common/loadall.h"

int get_spawning_direction_from_all_robots(server_info, robot_head)
struct server_info_hold *server_info;
struct node_robot_type *robot_head;
{
	struct node_robot_type* robot_slider;
	char tosend[512];

	/* Set all robot to not have a facing direction then tell everyone to */
	/* send one */
	robot_slider = robot_head;
	while(robot_slider) {
		robot_slider->facing_direction = -1;

		/* Send network command to client */
		tosend[0] = S_REQUEST_SPAWNING_DIRECTION;
		tosend[1] = robot_slider->id_number;
		network_say_to_all(server_info, tosend, 2);
//		network_say_to_user(server_info, tosend, 1, robot_slider->id_number);

		robot_slider->facing_direction = -1;

		robot_slider = robot_slider->next_robot;
	}

	return 1;
}
