/**
 *
 * Author: Travis W. Loyd
 */

#include <dlfcn.h>
#include <string.h>
#include "../common/loadall.h"

long get_world_width(server_info)
struct server_info_hold *server_info;
{
	long (*get_width)(struct server_info_hold*);
	struct node_module_type *module_slider;
	char buff[512];

	/* Add each module one by one */
	module_slider = server_info->module_head;
	while(module_slider) {
		if(!strcmp(module_slider->name, "world")) {
			strcpy(buff, "get_width");
			get_width = dlsym(module_slider->handle, buff);

			return get_width(server_info);
//			break;
		}

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	return 1;
}

long get_world_height(server_info)
struct server_info_hold *server_info;
{
	long (*get_height)(struct server_info_hold*);
	struct node_module_type *module_slider;
	char buff[512];

	/* Add each module one by one */
	module_slider = server_info->module_head;
	while(module_slider) {
		if(!strcmp(module_slider->name, "world")) {
			strcpy(buff, "get_height");
			get_height = dlsym(module_slider->handle, buff);

			return get_height(server_info);
//			break;
		}

		/* Move on to next module */
		module_slider = module_slider->next_module;
	}

	return 1;
}
